package com.buy507.mall.dao;

import java.math.BigDecimal;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.buy507.mall.dto.OmsOrderDeliveryParam;
import com.buy507.mall.dto.OmsOrderDetail;
import com.buy507.mall.dto.OmsOrderQueryParam;
import com.buy507.mall.dto.OmsOrderResult;

/**
 * 订单自定义查询Dao
 */
public interface OmsOrderDao {
    /**
     * 条件查询订单
     */
    List<OmsOrderResult> getList(@Param("queryParam") OmsOrderQueryParam queryParam);

    /**
     * 批量发货
     */
    int delivery(@Param("list") List<OmsOrderDeliveryParam> deliveryParamList);

    /**
     * 获取订单详情
     */
    OmsOrderDetail getDetail(@Param("id") Long id);
    
    BigDecimal getTotalAmountByMonth(Integer month);
    
}
